Bug 469533 - f9 VM hangs when starting X with latest kernel in guest
f9 VM hangs when starting X with latest kernel in guest
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
: 470893 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-01 22:08 EDT by David G. Mackay
Modified: 2009-07-14 10:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:24:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David G. Mackay 2008-11-01 22:08:13 EDT
Description of problem:
Virtual machine running under kvm won't boot.  It locks when trying to go to graphic mode.

Version-Release number of selected component (if applicable):
kernel 2.6.26-79.fc9.x86_64 (guest on kvm) cirrus display driver

How reproducible:
Always

Steps to Reproduce:
1.Boot vm
2.
3.
  
Actual results:
It hangs when switching to graphics mode the first time

Expected results:
No hang

Additional info:
If I edit the grub boot line to remove the rhgb quiet, the boot will continue until X starts, and it switches to graphics mode.  If I eliminate rhgb and boot to run level 3, it boots, but dies if I do a telinit 5.

The hang is a hard hang.  I cannot ssh into the machine after the hang, and /var/log/messages doesn't show any indication of the hang.

Xorg.0.log ends after the mouse messages with UnloadModule  "evdev"

The VM boots successfully into X using kernel 2.6.25.11-97.fc9.x86_64
Comment 1 Chuck Ebbert 2008-11-12 17:06:41 EST
*** Bug 470893 has been marked as a duplicate of this bug. ***
Comment 2 Bug Zapper 2009-06-09 23:08:50 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 10:24:35 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.